View Issue Details

IDProjectCategoryView StatusLast Update
0006502MediaMonkey (current)Properties/Auto-Toolspublic2010-10-27 12:52
Reporterrusty 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006502: Ability to modify Type
DescriptionAs discussed in 0006482, it should be possible to easily modify 'Type' in one of two ways:

a) Properties dialog should include 'Type' field

b) Drag and drop from one collection to another should modify Type appropriately in cases where the Collection has exactly 1 Type in its definition, this Type is assigned to the tracks. In case there are 0, 2, 3, ... Types, a dialog is shown to the user and he/she can select which Type to assign.

e.g. 'This Collection contains multiple 'Types' of files. What Type do you wish to assign?

(o) Type 1
( ) Type 2
( ) Type 3

[OK] [Cancel]

TagsNo tags attached.
Fixed in build1317

Relationships

related to 0011758 assignedLudek Podcast: Drag and Drop not working 

Activities

Ludek

2010-09-28 12:46

developer   ~0020593

Last edited: 2010-09-28 13:08

View 3 revisions

1) Is implemented.
2) I constructed the workflow this way:
If a collection is defined by only one rule and the rule consist of "Type is" then the first type is used as assignment (this works fine for the default collections) otherwise (if the collection consists of another rule(s)) the drop is not offered.

Examples:

For the default Audiobook collection consisting of rule:
Type is [audiobook]
=> audiobook is used as type assignment

For the default Podcast collection consisting of rule:
Type is [podcast, video podcast]
=> podcast is used as type assignment

For custom collection consisting of rules:
Type is [music]
Rating is >= 4.5 stars
=> the drop is not offered

rusty

2010-09-28 13:04

administrator   ~0020594

Re. 2), a single Type may often span more than one collection (e.g. Kids Music vs regular music). Would it be possible to enable this even when more than one rule is used?

Ludek

2010-09-28 13:11

developer   ~0020595

No, I think that the drop should not be offered for such a custom collections. See my examples above.

Fixed in build 1314.

petr

2010-10-06 22:17

developer   ~0020652

Rusty have found an issue:
d&d doesn't function properly when dragging between collections.
e.g. drag from music to Classical Music > Bethoven --> nothing happens.

Ludek

2010-10-07 15:46

developer   ~0020654

Fixed in build 1315.

rusty

2010-10-13 22:26

administrator   ~0020745

Tested in 1315, and it's almost fixed. Now the tag is modified correctly, however, the tab doesn't refresh after the operation is completed, and so it appears to have failed.

e.g.
1) drag track a to Tab:Classical Music...Beethoven
2) Switch to Tab:Classical Music...Beethoven
--> track a doesn't appear!
(however it does appear after pressing F5)

petr

2010-10-13 23:15

developer   ~0020758

Tabs update after D&D fixed in 1316. Assigning back to Ludek as there's a AV when droping to Entire Library node.

Ludek

2010-10-14 10:09

developer   ~0020763

Last edited: 2010-10-14 12:27

View 2 revisions

Fixed in build 1317.

peke

2010-10-27 12:52

developer   ~0021009

Verified 1318